Bug 867356 - rpcbind does not start
rpcbind does not start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 07:18 EDT by Marcus Moeller
Modified: 2012-12-20 10:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:54:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Moeller 2012-10-17 07:18:11 EDT
Description of problem:
With the latest update, rpcbind does no longer start.

The following denial message is generated:

type=AVC msg=audit(1350471778.685:318): avc:  denied  { read } for  pid=1666 comm="rpcbind" name="passwd" dev="sda3" ino=1968201 scontext=system_u:system_r:rpcbind_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file

an allow rpcbind_t passwd_file_t:file read; would workaround the problem

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.11.1-36.fc18.noarch
libselinux-2.1.12-4.fc18.x86_64
selinux-policy-3.11.1-36.fc18.noarch
Comment 1 Miroslav Grepl 2012-10-17 07:34:24 EDT
Fixed in selinux-policy-3.11.1-40.fc18.noarch
Comment 2 Fedora Update System 2012-10-26 11:40:12 EDT
selinux-policy-3.11.1-46.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-46.fc18
Comment 3 Fedora Update System 2012-10-26 15:29:53 EDT
Package selinux-policy-3.11.1-46.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-46.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16862/selinux-policy-3.11.1-46.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:54:25 EST
selinux-policy-3.11.1-46.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.